From 7d9ad2555a8cacc73b49f1d8bf16dcb2590ad10c Mon Sep 17 00:00:00 2001
From: "Andrey V. Lepikhov" <a.lepikhov@postgrespro.ru>
Date: Mon, 9 Dec 2019 13:59:39 +0500
Subject: [PATCH] Make compiler quiet

---
 src/backend/access/transam/xact.c  | 2 +-
 src/backend/utils/adt/formatting.c | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/backend/access/transam/xact.c b/src/backend/access/transam/xact.c
index 5353b6ab0b..9511218e17 100644
--- a/src/backend/access/transam/xact.c
+++ b/src/backend/access/transam/xact.c
@@ -5705,7 +5705,7 @@ XactLogAbortRecord(TimestampTz abort_time,
 	if (xl_xinfo.xinfo & XACT_XINFO_HAS_TWOPHASE)
 	{
 		XLogRegisterData((char *) (&xl_twophase), sizeof(xl_xact_twophase));
-		if (xl_xinfo.xinfo & XACT_XINFO_HAS_GID)
+		if (twophase_gid != NULL && xl_xinfo.xinfo & XACT_XINFO_HAS_GID)
 			XLogRegisterData(unconstify(char *, twophase_gid), strlen(twophase_gid) + 1);
 	}
 
diff --git a/src/backend/utils/adt/formatting.c b/src/backend/utils/adt/formatting.c
index f7175df8da..b4fb6bb59f 100644
--- a/src/backend/utils/adt/formatting.c
+++ b/src/backend/utils/adt/formatting.c
@@ -4327,6 +4327,10 @@ do_to_timestamp(text *date_txt, text *fmt, bool std,
 
 	fmt_len = VARSIZE_ANY_EXHDR(fmt);
 
+	/* Make compiler quiet */
+	if (flags)
+		*flags = 0;
+
 	if (fmt_len)
 	{
 		char	   *fmt_str;
-- 
2.17.1

